# Interface Serialize<DataTransferObject, DeserializedType, LAYER>

Methods to serialize/deserialize from one representation to another.

interface Serialize<
DataTransferObject,
DeserializedType extends MergableObject<DeserializedType>,
LAYER extends LayerInterface<DeserializedType>,
> {
from(dto: DataTransferObject, layer: LAYER): DeserializedType[];
to(o: DeserializedType[], layer: LAYER): DataTransferObject;
}

#### Type Parameters

- DataTransferObject
- DeserializedType extends MergableObject<DeserializedType>
- LAYER extends LayerInterface<DeserializedType>

##### Index

### Methods

from
to

## Methods

### from

- from(dto: DataTransferObject, layer: LAYER): DeserializedType[]

  #### Parameters

  - dto: DataTransferObject
  - layer: LAYER

  #### Returns DeserializedType[]

### to

- to(o: DeserializedType[], layer: LAYER): DataTransferObject

  #### Parameters

  - o: DeserializedType[]
  - layer: LAYER

  #### Returns DataTransferObject